path: /build/build/libdnet-dev-libs-1.17.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python python_targets_python3_9" emerge dev-libs/libdnet -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-libs/libdnet
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libdnet && luet-portage --dir /pkgdir/libdnet
    dev-libs/libdnet && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e8d463ed0de18dde0be4cbb4f95f9e5335e3cc9309a52f5e711f5d383d273092
  package:
    name: libdnet
    version: 1.17.0
    category: dev-libs
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python
    - python_targets_python3_9
    requires:
    - name: check
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: libdnet provides a simplified, portable interface to several low-level
      networking routines.
    uri:
    - https://github.com/ofalk/libdnet
    license: LGPL-2
    buildtimestamp: 2023-10-18 18:11:59.986163244 +0000 UTC m=+144.685894975
    labels:
      BDEPEND: python? ( dev-python/cython[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || (
        >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4
      DEPEND: dev-libs/check dev-libs/libbsd python? ( python_targets_python3_7? (
        dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
        ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        )
      IUSE: python test python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
        python_targets_python3_10
      RDEPEND: dev-libs/check dev-libs/libbsd python? ( python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        )
      emerge.packages: dev-libs/libdnet
      kit: dev-kit
      original.package.name: dev-libs/libdnet
      original.package.slot: "0"
      original.package.version: 1.17.0
    treedir: /build/packages
  package_dir: /pkgdir/libdnet
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1089b981304d3c08ce4b1ef2451d45def34e633dc4ac3514570ce68d3e80c8a1
compressiontype: zstd
files:
- usr/bin/dnet-config
- usr/include/dnet/addr.h
- usr/include/dnet/arp.h
- usr/include/dnet/blob.h
- usr/include/dnet/eth.h
- usr/include/dnet/fw.h
- usr/include/dnet/icmp.h
- usr/include/dnet/intf.h
- usr/include/dnet/ip.h
- usr/include/dnet/ip6.h
- usr/include/dnet/ndisc.h
- usr/include/dnet/os.h
- usr/include/dnet/rand.h
- usr/include/dnet/route.h
- usr/include/dnet/sctp.h
- usr/include/dnet/tcp.h
- usr/include/dnet/tun.h
- usr/include/dnet/udp.h
- usr/include/dnet.h
- usr/lib/python3.9/site-packages/dnet-1.17.0-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/dnet-1.17.0-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/dnet-1.17.0-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/dnet-1.17.0-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/dnet-1.17.0-py3.9.egg-info/top_level.txt
- usr/lib/python3.9/site-packages/dnet.cpython-39-x86_64-linux-gnu.so
- usr/lib64/libdnet.so
- usr/lib64/libdnet.so.1
- usr/lib64/libdnet.so.1.0.2
- usr/sbin/dnet
- usr/share/doc/libdnet-1.17.0/README.md.bz2
- usr/share/doc/libdnet-1.17.0/THANKS.bz2
- usr/share/man/man3/dnet.3.bz2
- usr/share/man/man8/dnet.8.bz2
- var/db/pkg/dev-libs/libdnet-1.17.0/BDEPEND
- var/db/pkg/dev-libs/libdnet-1.17.0/BUILD_TIME
- var/db/pkg/dev-libs/libdnet-1.17.0/CATEGORY
- var/db/pkg/dev-libs/libdnet-1.17.0/CBUILD
- var/db/pkg/dev-libs/libdnet-1.17.0/CFLAGS
- var/db/pkg/dev-libs/libdnet-1.17.0/CHOST
- var/db/pkg/dev-libs/libdnet-1.17.0/CONTENTS
- var/db/pkg/dev-libs/libdnet-1.17.0/COUNTER
- var/db/pkg/dev-libs/libdnet-1.17.0/CXXFLAGS
- var/db/pkg/dev-libs/libdnet-1.17.0/DEFINED_PHASES
- var/db/pkg/dev-libs/libdnet-1.17.0/DEPEND
- var/db/pkg/dev-libs/libdnet-1.17.0/DESCRIPTION
- var/db/pkg/dev-libs/libdnet-1.17.0/EAPI
- var/db/pkg/dev-libs/libdnet-1.17.0/FEATURES
- var/db/pkg/dev-libs/libdnet-1.17.0/HOMEPAGE
- var/db/pkg/dev-libs/libdnet-1.17.0/INHERITED
- var/db/pkg/dev-libs/libdnet-1.17.0/IUSE
- var/db/pkg/dev-libs/libdnet-1.17.0/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libdnet-1.17.0/KEYWORDS
- var/db/pkg/dev-libs/libdnet-1.17.0/LDFLAGS
- var/db/pkg/dev-libs/libdnet-1.17.0/LICENSE
- var/db/pkg/dev-libs/libdnet-1.17.0/NEEDED
- var/db/pkg/dev-libs/libdnet-1.17.0/PF
- var/db/pkg/dev-libs/libdnet-1.17.0/PROVIDES
- var/db/pkg/dev-libs/libdnet-1.17.0/RDEPEND
- var/db/pkg/dev-libs/libdnet-1.17.0/REQUIRES
- var/db/pkg/dev-libs/libdnet-1.17.0/RESTRICT
- var/db/pkg/dev-libs/libdnet-1.17.0/SIZE
- var/db/pkg/dev-libs/libdnet-1.17.0/SLOT
- var/db/pkg/dev-libs/libdnet-1.17.0/USE
- var/db/pkg/dev-libs/libdnet-1.17.0/environment.bz2
- var/db/pkg/dev-libs/libdnet-1.17.0/libdnet-1.17.0.ebuild
- var/db/pkg/dev-libs/libdnet-1.17.0/repository
package_cacheimage: ""
runtime:
  name: libdnet
  version: 1.17.0
  category: dev-libs
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  - name: check
    version: '>=0'
    category: dev-libs
  - name: libbsd
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: libdnet provides a simplified, portable interface to several low-level
    networking routines.
  uri:
  - https://github.com/ofalk/libdnet
  license: LGPL-2
  labels:
    BDEPEND: python? ( dev-python/cython[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16
      >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
    DEPEND: dev-libs/check dev-libs/libbsd python? ( python_targets_python3_7? ( dev-lang/python:3.7
      ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10 )
      >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      )
    IUSE: python test python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      python_targets_python3_10
    RDEPEND: dev-libs/check dev-libs/libbsd python? ( python_targets_python3_7? (
      dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10 )
      >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      )
    emerge.packages: dev-libs/libdnet
    kit: dev-kit
    original.package.name: dev-libs/libdnet
    original.package.slot: "0"
    original.package.version: 1.17.0
